Subject: Re: [apps-discuss] [Technical Errata Reported] RFC1459 (3938)

From: t.petch <[email-masked]>
Date: Fri, 20 Jun 2014 14:32:14 +0100

Barry

RFC1459 s4.2.3.1 is updated by RFC2812 s3.2.3 and, in part, by RFC2811
s4.

Comparing those two last with RFC1459, I think it clear that a page has
been missed, giving the Numeric Replies and Examples.

The equivalent to the truncated sentence,
"When using the 'o' and 'b' options, a restriction on a total of three
   per mode command has been imposed.  That is, any combination of 'o'
   and"
is now
" Note that there is a maximum limit of three (3) changes per
   command for modes that take a parameter."

I think that the erratum should point out that RFC1459 has been
updated - Obsoleted I would call it - and that a comprehensive
description can be found in the RFC281x.  Trying to reconstruct the
missing page seems unproductive.

I am curious whether or not the raiser of this was aware of the later
RFC, which seem to me to resolve any issues.

Tom Petch

----- Original Message -----
From: "Barry Leiba" <[email-masked]>
To: "Apps Discuss" <[email-masked]>
Cc: "Myunggyun Jonathan Aldo Seo" <[email-masked]>
Sent: Wednesday, April 16, 2014 4:56 PM

> Myunggyun Jonathan Aldo Seo has reported the errata below, on RFC
> 1459, the IRC protocol.  He's correct that the last paragraph of
> Section 4.2.3.1 has clearly been truncated.  But, as this is a
> more-than-20-year-old document, it's likely hard to know what the text
> was intended to say.
>
> Here's Section 4.2.3.1 in its entirety:
>
> -------------------------------------
> 4.2.3.1 Channel modes
>
>    Parameters: <channel> {[+|-]|o|p|s|i|t|n|b|v} [<limit>] [<user>]
>                [<ban mask>]
>
>    The MODE command is provided so that channel operators may change
the
>    characteristics of `their' channel.  It is also required that
servers
>    be able to change channel modes so that channel operators may be
>    created.
>
>    The various modes available for channels are as follows:
>
>            o - give/take channel operator privileges;
>            p - private channel flag;
>            s - secret channel flag;
>            i - invite-only channel flag;
>            t - topic settable by channel operator only flag;
>            n - no messages to channel from clients on the outside;
>            m - moderated channel;
>            l - set the user limit to channel;
>            b - set a ban mask to keep users out;
>            v - give/take the ability to speak on a moderated channel;
>            k - set a channel key (password).
>
>    When using the 'o' and 'b' options, a restriction on a total of
three
>    per mode command has been imposed.  That is, any combination of 'o'
>    and
> -------------------------------------
>
> I would like to mark the errata report as Verified, but it would be
> nice to be able to suggest correct text in the report.  Can anyone
> help figure out what was supposed to be there?  If not, I'll likely
> mark it "Held For Document Update" instead.
>
> Barry
>
> On Fri, Mar 28, 2014 at 6:59 AM, RFC Errata System
> <[email-masked]> wrote:
> > The following errata report has been submitted for RFC1459,
> > "Internet Relay Chat Protocol".
> >
> > --------------------------------------
> > You may review the report below and at:
> > http://www.rfc-editor.org/errata_search.php?rfc=1459&eid=3938
> >
> > --------------------------------------
> > Type: Technical
> > Reported by: Myunggyun Jonathan Aldo Seo <[email-masked]>
> >
> > Section: 4.2.3.1
> >
> > Original Text
> > -------------
> >    When using the 'o' and 'b' options, a restriction on a total of
three
> >    per mode command has been imposed.  That is, any combination of
'o'
> >    and
> >
> > Corrected Text
> > --------------
> >
> >
> > Notes
> > -----
> > The sentence lacks the last part and does not explain what it
expected to.
> >
> > Instructions:
> > -------------
> > This errata is currently posted as "Reported". If necessary, please
> > use "Reply All" to discuss whether it should be verified or
> > rejected. When a decision is reached, the verifying party (IESG)
> > can log in to change the status and edit the report, if necessary.
> >
> > --------------------------------------
> > RFC1459 (no draft string recorded)
> > --------------------------------------
> > Title               : Internet Relay Chat Protocol
> > Publication Date    : May 1993
> > Author(s)           : J. Oikarinen, D. Reed
> > Category            : EXPERIMENTAL
> > Source              : Legacy
> > Area                : Legacy
> > Stream              : IETF
> > Verifying Party     : IESG
> >
>
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss

---

From: Tki April <[email-masked]>
Date: Fri, 20 Jun 2014 08:37:35 -0700

When I reported this erratum, I recognized that RFC 1459 was updatedby RFC2810-2813, but was curious to find out that no one had pointedout the clearly missing sentence. I do understand that it is not a criticalmatter.
ThanksMyunggyun Seo
> From: [email-masked]
> To: [email-masked]; [email-masked]
> CC: [email-masked]
> Subject: Re: [apps-discuss] [Technical Errata Reported] RFC1459 (3938)
> Date: Fri, 20 Jun 2014 14:32:14 +0100
> 
> Barry
>